
#include <Wire.h>

#define address 0x36 //PSoC I2C Address

void setup()
{
  Wire.begin();
  Serial.begin(57600); //57.6 KBaud
}


void loop()
{
  
  Wire.requestFrom(address, 3); //Read 3 Bytes from 0x36 = PSoC I2C Address
  byte string = Wire.read(); 
  byte fret = Wire.read();
  byte on = Wire.read();
  Serial.print("f"); //Send information over serial to PC
  Serial.println(fret);
  Serial.print("s");
  Serial.println(string);
  Serial.print("n");
  Serial.println(on);
  delay(5); //Wait 5ms to prevent buffer overflow on PC side
}
